### NAME

Snack_PutSoundData, Snack_GetSoundData - transfer sound data between a buffer and a Snack sound

### SYNOPSIS

#include <snack.h>
Snack_PutSoundData(sound, position, buffer, nSamples)
Snack_GetSoundData(sound, position, buffer, nSamples)

### ARGUMENTS

Sound *sound (in)
int position (in)
void *buffer (in)
int nSamples (in)

### DESCRIPTION

Snack_PutSoundData transfers nSamples samples of sound data from buffer into a Snack sound at specified position. The buffer data is expected to be in float or double format depending on the precision of the Snack sound.
The sound must be of storage type SOUND_IN_MEMORY, i.e. the sound sample data must reside in memory. Snack_GetSoundData transfers data from the Snack sound to the buffer. These functions work both with memory resident sounds and sounds linked to disk files (SOUND_IN_MEMORY and SOUND_IN_FILE). The buffer data is returned in float or double format depending on the precision of the Snack sound.